Skip to content
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Clusters

This endpoint enables retrieving all Clusters using pagination and optional filters.

get
/clusters
Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.namestring · min: 2 · max: 63Optional

The name of the MongoDB cluster. Must be 63 characters or less and must begin and end with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between.

Example: cms-prodPattern: ^[A-Za-z0-9][-A-Za-z0-9_.]*[A-Za-z0-9]$
filter.statestring · enumRead-onlyOptional

The current lifecycle state of the cluster.

  • PROVISIONING: The system is actively applying the changes.
  • AVAILABLE: The resource is fully operational with no pending changes.
  • UPDATING: A modification is in progress.
  • DESTROYING: The resource is being deleted.
  • FAILED: The provisioning failed due to an internal error.
Example: AVAILABLEPossible values:
filter.editionstring · enumOptional

The edition of the MongoDB cluster. This field indicates the licensing and feature set of the running database instance.

Example: ENTERPRISEPossible values:
Responses
200

Returned all requested Clusters successfully.

application/json

Pagination information. The offset and limit parameters are used to navigate the list of elements. The _links object contains URLs to navigate the different pages.

idstring · uuidRequired

ID of the list of Cluster resources.

Example: ed17eb1f-ac43-5670-9e63-8be33c475449
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of Cluster resources.

Example: /clusters
totalintegerRead-onlyRequired

Total elements available in the pagination. It can be used, for example, to display the total number of elements in a table.

Example: 1601
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/clusters
GET /v2/clusters HTTP/1.1
Host: mongodb.gb-bhx.ionos.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "ed17eb1f-ac43-5670-9e63-8be33c475449",
  "type": "collection",
  "href": "/clusters",
  "items": [
    {
      "id": "e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "type": "cluster",
      "href": "/clusters/e69b22a5-8fee-56b1-b6fb-4a07e4205ead",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "state": "AVAILABLE",
        "statusMessage": "Provisioning failed: insufficient storage quota.",
        "connectionUri": "mongodb+srv://m-12abd343.mongodb.gb-bhx.ionoscloud.com"
      },
      "properties": {
        "name": "cms-prod",
        "description": "A cluster for the production CMS.",
        "version": "7",
        "connection": {
          "datacenterId": "5a029f4a-72e5-11ec-90d6-0242ac120003",
          "lanId": "2",
          "instanceAddresses": [
            "192.168.2.5/24",
            "192.168.2.6/24",
            "192.168.2.7/24"
          ]
        },
        "maintenanceWindow": {
          "time": "16:30:59",
          "dayOfTheWeek": "Monday"
        },
        "credentials": {
          "username": "my_db_user",
          "database": "my_database"
        },
        "edition": "ENTERPRISE",
        "sharding": {
          "enabled": true,
          "shards": 2
        },
        "instances": {
          "count": 3,
          "ram": 8,
          "cores": 4,
          "storageSize": 10
        },
        "biConnectorEnabled": false,
        "logsEnabled": false,
        "metricsEnabled": false,
        "snapshot": {
          "location": "eu-south-2",
          "retentionDays": 90
        }
      }
    }
  ],
  "total": 1601,
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?